#!/usr/local/bin/wish8.4
#
#   EventsLog.tcl          06.01.2003   vfom    
#
package require msgcat
set app_path  [ file dirname [info script ]  ]
#
# load localised messages
#
msgcat::mcload [ file join $app_path "locale" ]
msgcat::mcload [ file join $app_path ".." "locale" ]
#
# load libraries
#
uplevel #0  " [list  source [file join $app_path "../" ".tknetmonrc"] ] "
foreach i [ list "EventsLog.tcl" "Sql.tcl" ]  {
    uplevel #0  " [list  source [file join $app_path "../" "lib" $i] ] "
}
#
if { [info commands DestroyMain ]=="" } {
    proc DestroyMain {} { destroy . }
}
#
set ::appName "EventsLog"
set ::appVersion "0.1"
wm withdraw .
EventsLog_GUIconstructor
evLogFilters_GUIconstructor
bind .eventsLog <Destroy>   +DestroyMain
bind .eventsLog <F10>	+DestroyMain
bind .eventsLog <Control-x>	+DestroyMain
EventsLog
#